bullet_name = "beemspider-bullet"
dofile_lua( bullet_name )

-- leave me
	local actor = ACTOR_preload()
-- leave me

	actor[cp_actor_name]		= "beemspider-1"
	actor[cp_model_dir]			= "beasties"
	actor[cp_model_name]		= "beemspider-1"

	actor[cp_move_type]			= cmt_path + cmt_anim_to_move + cmt_anim_to_turn

	actor[cp_hit_delay]			= 4.5

	-- movement
	actor[cp_move_speed_min]	= 0.5
	actor[cp_move_speed_max]	= 0.5

	actor[cp_target_stop_dist]		= 1.0

	actor[cp_hit_power]			= 5.0

	actor[cp_turn_lock_angle_inner]		= 55.0
	actor[cp_turn_lock_angle_outer]		= 65.0
	actor[cp_turn_speed_still]			= 0.0
	actor[cp_turn_acceleration_still]	= 0.01
	actor[cp_turn_inertia_still]		= 0.0
	actor[cp_turn_speed_moving]			= 0.0
	actor[cp_turn_acceleration_moving]	= 0.01
	actor[cp_turn_inertia_moving]		= 0.0

	actor[cp_turn_speed_aiming]			= 6.0

	actor[cp_launch_scale_min]		= 70.0
	actor[cp_launch_scale_max]		= 70.0

	actor[cp_random_edge_inner_percent]	= 30.0
	actor[cp_random_edge_outer_percent]	= 60.0

	actor[cp_launch_hue_shift] = color

	actor[cp_health_percent]		= 400.0

	actor[cp_score]			= 1000
	actor[cp_bonus_seq_hit]		= 2
	actor[cp_bonus_seq_score]	= 10000

actor[cp_difficulty_adjust_speed] = 80.0
actor[cp_difficulty_adjust_shoot] = 90.0


-- leave me
	c_preload_model( actor )
-- leave me

	c_add_particle_to_anim( "emerge", "partbone", "beemspider-1_emerge" )
	c_add_particle_to_anim( "emerge", "partbone", "beemspider-1_emerge2" )
	seq = { 0.0, 0.05, 0.1, 0.2, 0.3 }
	c_set_use_explosion_for( "bye_bye", "beemspider-1", exp_no_align, 30.0, 0.0, 1300.0, 1300.0, seq )
	c_set_use_explosion_for( "bye_bye", "beemspider-1_flash", exp_no_align, 0.0, 0.0, 4000.0, 4000.0, {0.0} )
	c_add_particle_to_explosion( "beemspider-1", "explode", "", "beemspider-1_exp" )

	c_set_use_anim_for( "move_forward", "walk", 700.0, 750.0 )
	c_set_use_anim_for( "turn_left", "turnl", 500.0, 550.0 )
	c_set_use_anim_for( "turn_right", "turnr", 500.0, 550.0 )
	c_add_particle_to_anim( "walk", "eyebone", "beemspider_exaust" )
	c_add_particle_to_anim( "turnl", "eyebone", "beemspider_exaust_turn" )
	c_add_particle_to_anim( "turnr", "eyebone", "beemspider_exaust_turn" )
	c_add_particle_to_anim( "fire", "eyebone", "beemspider_fire" )

	c_add_sound_to_explosion( "beemspider-1", "explode", "beemspider-byebye" )
	c_add_sound_to_anim( "fire", "beemspider-fire" )
	c_add_sound_to_anim( "emerge", "beemspider-emerge" )
	c_add_sound_to_anim( "walk", "beemspider-walk" )
	c_add_sound_to_anim( "turnl", "beemspider-turn" )
	c_add_sound_to_anim( "turnr", "beemspider-turn" )

	c_add_sound_to_event( "hit_active_bone", "beemspider-hit" )

	local boo = WEAPON_preload( bullet_name )
	boo[w_gun_bone_name]		= "mainbone"
	boo[w_shaft_bone_name]		= "mainbone"
	boo[w_fire_anim_name]		= "fire"
	boo[w_aim_anim_name]		= "aim"
	boo[w_flare_exp_name]		= "robo_yellow_flare"
	boo[w_flare_exp_scale]		= 1200.0
	boo[w_gun_type]				= "actor_body_aim"
	boo[w_aim_delay]			= 1.0
	boo[w_bullet_scale]			= 65.0
	boo[w_barrel_offset]		= 2.0
	boo[w_no_shoot_dist]		= 9.0
	boo[w_no_shoot_angle]		= 0.0
--	boo[w_recoil_angle]			= 20.0
--	boo[w_recoil_dist]			= 1.0
	boo[w_reload_random]		= 40.0
	local seq = { 2.0 }
	WEAPON_add( boo, seq )

dofile_lua( "beemspider_fizz" )

